Bug 586429 - clustat/cman_tool nodes show incorrect name of qdisk device
clustat/cman_tool nodes show incorrect name of qdisk device
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 10:44 EDT by Tomas Smetana
Modified: 2010-10-23 11:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Smetana 2010-04-27 10:44:18 EDT
Description of problem:
when changing the qdisk device on a running cluster, clustat/cman_tool nodes show the old device and and the current one.

How reproducible:
create a cluster with qdisk device and start the cluster. Then stop qdiskd on all cluster nodes, change the qdisk device in cluster.conf, do a ccs_tool update /etc/cluster/cluster.conf and start qdiskd on all cluster nodes. Verify in cluster.log that qdisk is working correct on new device. Do a clustat an look to the node name...

Steps to Reproduce:
see above

Actual results:
clustat show wrong device as qdisk node name.

Expected results:
clustat shows the current device as qdisk node name.

Additional info:
Comment 2 RHEL Product and Program Management 2010-07-01 14:05:04 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.